buffer.c(3)

NAME
buffer.c - Buffer management functions.

SYNOPSIS

#include <config.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#include <wget.h>
#include 'private.h'

  Functions
int wget_buffer_init (wget_buffer *buf, char *data, size_t size)
wget_buffer * wget_buffer_alloc (size_t size)
int wget_buffer_ensure_capacity (wget_buffer *buf, size_t size)
void wget_buffer_deinit (wget_buffer *buf)
void wget_buffer_free (wget_buffer **buf)
void wget_buffer_free_data (wget_buffer *buf)
void wget_buffer_reset (wget_buffer *buf)
size_t wget_buffer_memcpy (wget_buffer *buf, const void *data, size_t length)
size_t wget_buffer_memcat (wget_buffer *buf, const void *data, size_t length)
size_t wget_buffer_strcpy (wget_buffer *buf, const char *s)
size_t wget_buffer_strcat (wget_buffer *buf, const char *s)
size_t wget_buffer_bufcpy (wget_buffer *buf, wget_buffer *src)
size_t wget_buffer_bufcat (wget_buffer *buf, wget_buffer *src)
size_t wget_buffer_memset (wget_buffer *buf, char c, size_t length)
size_t wget_buffer_memset_append (wget_buffer *buf, char c, size_t length)
char * wget_buffer_trim (wget_buffer *buf)

Detailed Description

Buffer management functions.

Author

Generated automatically by Doxygen for wget2 from the source code.